%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% This program remove the temporary files used for mod1 and mod2
%   Author:      Feipeng Li
%   E-mail:      fli2@uiuc.edu
%   Time-stamp:  2007-06-05
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function remove_temp_files(varargin)

global doc;

mods_to_del = [1,1]; % means both 
if length(varargin)>0
    which_mod = varargin{1};
    if ((which_mod>0)&&(which_mod<3))
        mods_to_del(3-which_mod) = 0;
    end
end

if doc.mod1exist
if (~isempty(doc.mod1hist.hist))&&(mods_to_del(1))
    for i=1:length(doc.mod1hist.hist)
        delete(doc.mod1hist.hist{i}.fname);
    end
end
end

if doc.mod2exist
if (~isempty(doc.mod2hist.hist))&&(mods_to_del(2))
    for i=1:length(doc.mod2hist.hist)
        delete(doc.mod2hist.hist{i}.fname);
    end
end
end
