% This script load the wav file.
function [s, fs] = load_wav(cur_talker, cur_sound)

cur_wav_file = ['s_' cur_talker '_' cur_sound '.wav'];

global configs;

wav_fullpath1 = [configs.wavpath '/' cur_wav_file];
wav_fullpath2 = [configs.wavpath '/' cur_talker '/' cur_wav_file];

disp(wav_fullpath1);
disp(wav_fullpath2);
disp(cur_wav_file);

if exist(wav_fullpath1) % flat dir structure, all wavs in the same dir
%   [s, fs] = wavread(wav_fullpath1);
    [s, fs] = audioread(wav_fullpath1);
elseif exist(wav_fullpath2)
%    [s, fs] = wavread(wav_fullpath2);
  [s, fs] = audioread(wav_fullpath2);
else
    s = [];  fs = [];
    h = errordlg([cur_wav_file ' not found'],'File Error');
    uiwait(h);
end
